### Method

# Ide DebuggerBreakpoint set_enabled

#### Declaration

    void
    ide_debugger_breakpoint_set_enabled (
      IdeDebuggerBreakpoint* self,
      gboolean enabled
    )

#### Description

Sets the enabled state of the breakpoint instance.

You must call `ide_debugger_breakpoint_modify_breakpoint_async()` to actually modify the breakpoint in the backend.

Available since: | 3.32

Sets property | `Ide.DebuggerBreakpoint:enabled`

#### Parameters

`enabled` | `gboolean`
| If the breakpoint is enabled.